Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CompPkgDesc_Handler Class Reference

Handler class for <componentpackagedescription> type. More...

`#include <CompPkgDesc_Handler.h>`

Inheritance diagram for CompPkgDesc_Handler:

[legend]
Collaboration diagram for CompPkgDesc_Handler:

[legend]
List of all members.

## Public Member Functions
| CompPkgDesc_Handler (DOMDocument *doc, unsigned long filter_)
| constructor
| CompPkgDesc_Handler (DOMNodeIterator *iter, bool release=false)
| constructor
| CompPkgDesc_Handler (DOMDocument *doc, DOMNodeIterator *iter, bool release=false)
| constructor
void | process_ComponentPackageDescription (::Deployment::ComponentPackageDescription &comppkgdesc)
| Process the component package description.

## Detailed Description

Handler class for <componentpackagedescription> type.

This class is within the Component Data Model subpackage of the Deployment & Configuration package.

This class defines handler methods to parse the aforementioned type in the description files. The corresponding CORBA IDL type for this element is returned.

## Constructor & Destructor Documentation

CompPkgDesc_Handler::CompPkgDesc_Handler | ( | DOMDocument * | doc,
|  | unsigned long | filter_
| ) | `[inline]`

| constructor

CompPkgDesc_Handler::CompPkgDesc_Handler | ( | DOMNodeIterator * | iter,
|  | bool | release = `false`
| ) | `[inline]`

| constructor

CompPkgDesc_Handler::CompPkgDesc_Handler | ( | DOMDocument * | doc,
|  | DOMNodeIterator * | iter,
|  | bool | release = `false`
| ) | `[inline]`

| constructor

## Member Function Documentation

BEGIN_DEPLOYMENT_NAMESPACE void CompPkgDesc_Handler::process_ComponentPackageDescription | ( | ::Deployment::ComponentPackageDescription & | comppkgdesc | ) |

| Process the component package description.

The documentation for this class was generated from the following files:

- CompPkgDesc_Handler.h
- CompPkgDesc_Handler.cpp